openbsd-ports/print/hplip/patches/patch-configure
ajacoutot 1cde74a860 - update to version 2.7.12 (should be the latest 2.7.* release; we'll
see about updating to the 2.8.* version later)
- enable gui interface

Thanks to Predrag Punosevac <punosevac at math.arizona dot edu> for the
reminder
2008-03-15 10:18:29 +00:00

126 lines
3.7 KiB
Plaintext

$OpenBSD: patch-configure,v 1.2 2008/03/15 10:18:30 ajacoutot Exp $
--- configure.orig Fri Mar 7 09:26:40 2008
+++ configure Fri Mar 7 09:28:25 2008
@@ -726,10 +726,10 @@ MAKEFLAGS=
SHELL=${CONFIG_SHELL-/bin/sh}
# Identity of this package.
-PACKAGE_NAME='HP Linux Imaging and Printing'
+PACKAGE_NAME='HP Linux (Unix) Imaging and Printing'
PACKAGE_TARNAME='hplip'
PACKAGE_VERSION='2.7.12'
-PACKAGE_STRING='HP Linux Imaging and Printing 2.7.12'
+PACKAGE_STRING='HP Linux (Unix) Imaging and Printing 2.7.12'
PACKAGE_BUGREPORT='2.7.12.10'
# Factoring default headers for most tests.
@@ -20513,13 +20513,13 @@ test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m
# Checks for required libraries, sets -lpthread, -lm, -ljpeg, ... for LIBS and HAVE_PTHREAD, ...
-{ echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
-echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: checking for pthread_create in -pthread" >&5
+echo $ECHO_N "checking for pthread_create in -pthread... $ECHO_C" >&6; }
if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lpthread $LIBS"
+LIBS="-pthread $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
@@ -20579,7 +20579,7 @@ if test $ac_cv_lib_pthread_pthread_create = yes; then
#define HAVE_LIBPTHREAD 1
_ACEOF
- LIBS="-lpthread $LIBS"
+ LIBS="-pthread $LIBS"
fi
@@ -20732,82 +20732,6 @@ else
echo "$as_me: error: \"cannot find libjpeg support\"" >&2;}
{ (exit 102); exit 102; }; }
fi
-
-
-{ echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
-echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6; }
-if test "${ac_cv_lib_dl_dlopen+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ldl $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-/* Override any GCC internal prototype to avoid an error.
- Use char because int might match the return type of a GCC
- builtin and then its argument prototype would still apply. */
-#ifdef __cplusplus
-extern "C"
-#endif
-char dlopen ();
-int
-main ()
-{
-return dlopen ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_link") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest$ac_exeext &&
- $as_test_x conftest$ac_exeext; then
- ac_cv_lib_dl_dlopen=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_cv_lib_dl_dlopen=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
-echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6; }
-if test $ac_cv_lib_dl_dlopen = yes; then
- cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBDL 1
-_ACEOF
-
- LIBS="-ldl $LIBS"
-
-else
- { { echo "$as_me:$LINENO: error: \"cannot find libdl support\"" >&5
-echo "$as_me: error: \"cannot find libdl support\"" >&2;}
- { (exit 104); exit 104; }; }
-fi
-
# Checks for required header files.
{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5